package whatsapp_channel

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp_channel"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp_channel/list whatsapp_channel GetWhatsappChannelList
//
// Get whatsapp channel list | 获取WhatsappChannel列表
//
// Get whatsapp channel list | 获取WhatsappChannel列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WhatsappChannelListReq
//
// Responses:
//  200: WhatsappChannelListResp

func GetWhatsappChannelListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WhatsappChannelListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp_channel.NewGetWhatsappChannelListLogic(r.Context(), svcCtx)
		resp, err := l.GetWhatsappChannelList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
